Bug 144044 - up2date should have source repository directory
up2date should have source repository directory
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 19:43 EST by Jonathan S. Shapiro
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:09:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2005-01-03 19:43:41 EST
Description of problem:

  One of the marvelous changes starting in FC3 is that the YUM
  utility added /etc/yum.repos.d/. This allows third-party packages
  to add their own update scripts without disturbing the "official"
  set of update procedures.

  This not only allows repositories to be added. It allows the
  repository owner to create an upgradeable RPM that can be used
  to re-point the repository location. This is done by creating
  a RPM that replaces the file describing the repository location.
  It's *wonderful*!

  Sadly, adding a comparable repository source in up2date requires
  relatively dirty editing in place of the rhn/sources file. The
  RFE is to fix this by modifying up2date to behave in a fashion
  comparable to the yum enhancement.

Version-Release number of selected component (if applicable):

  All current releases

Proposal:

  Modify the reader code that reads the rhn/sources file (in both
  up2date and the rhn update applet) to proceed as follows:

    First, read the (existing) sources file
    Then: read the content of all files found in

       /etc/sysconfig/rhn/sources.d

    in unspecified order.

Expected behavior:

  The resulting behavior of up2date should be as though the contents
  of every file in /etc/sysconfig/rhn/sources.d/ were appended to
  /etc/sysconfig/rhn/sources in unspecified order.

This is actually valuable enough that I'ld be willing to do the work
to produce a patch. What would be really helpful from the
up2date/rhn-applet maintainer is feedback telling me which files in
the respective application contain the know-how about how to go about
reading the sources file.
Comment 1 petrosyan 2005-06-18 20:07:23 EDT
Default install of Fedora Core 4 uses repositories from /etc/yum.repos.d/
Comment 2 Matthew Miller 2006-07-10 17:45:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:09:52 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.